- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Typedefs | Functions

# qtextstream.h File Reference

`#include <QtCore/qiodevice.h>`
`#include <QtCore/qstring.h>`
`#include <QtCore/qchar.h>`
`#include <QtCore/qlocale.h>`
`#include <QtCore/qscopedpointer.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Classes
class | QTextStream
class | QTextStreamManipulator
## Typedefs
typedef QTextStream &(* | QTextStreamFunction )(QTextStream &)
typedef void(QTextStream::* | QTSMFI )(int)
typedef void(QTextStream::* | QTSMFC )(QChar)
## Functions
QTextStream & | operator>> (QTextStream &s, QTextStreamFunction f)
QTextStream & | operator<< (QTextStream &s, QTextStreamFunction f)
QTextStream & | operator<< (QTextStream &s, QTextStreamManipulator m)
Q_CORE_EXPORT QTextStream & | bin (QTextStream &s)
Q_CORE_EXPORT QTextStream & | oct (QTextStream &s)
Q_CORE_EXPORT QTextStream & | dec (QTextStream &s)
Q_CORE_EXPORT QTextStream & | hex (QTextStream &s)
Q_CORE_EXPORT QTextStream & | showbase (QTextStream &s)
Q_CORE_EXPORT QTextStream & | forcesign (QTextStream &s)
Q_CORE_EXPORT QTextStream & | forcepoint (QTextStream &s)
Q_CORE_EXPORT QTextStream & | noshowbase (QTextStream &s)
Q_CORE_EXPORT QTextStream & | noforcesign (QTextStream &s)
Q_CORE_EXPORT QTextStream & | noforcepoint (QTextStream &s)
Q_CORE_EXPORT QTextStream & | uppercasebase (QTextStream &s)
Q_CORE_EXPORT QTextStream & | uppercasedigits (QTextStream &s)
Q_CORE_EXPORT QTextStream & | lowercasebase (QTextStream &s)
Q_CORE_EXPORT QTextStream & | lowercasedigits (QTextStream &s)
Q_CORE_EXPORT QTextStream & | fixed (QTextStream &s)
Q_CORE_EXPORT QTextStream & | scientific (QTextStream &s)
Q_CORE_EXPORT QTextStream & | left (QTextStream &s)
Q_CORE_EXPORT QTextStream & | right (QTextStream &s)
Q_CORE_EXPORT QTextStream & | center (QTextStream &s)
Q_CORE_EXPORT QTextStream & | endl (QTextStream &s)
Q_CORE_EXPORT QTextStream & | flush (QTextStream &s)
Q_CORE_EXPORT QTextStream & | reset (QTextStream &s)
Q_CORE_EXPORT QTextStream & | bom (QTextStream &s)
Q_CORE_EXPORT QTextStream & | ws (QTextStream &s)
QTextStreamManipulator | qSetFieldWidth (int width)
QTextStreamManipulator | qSetPadChar (QChar ch)
QTextStreamManipulator | qSetRealNumberPrecision (int precision)

## Typedef Documentation

typedef QTextStream&(* QTextStreamFunction)(QTextStream &)

Search for all occurrences

Definition at line 269 of file qtextstream.h.

typedef void(QTextStream::* QTSMFI)(int)

Search for all occurrences

Definition at line 270 of file qtextstream.h.

typedef void(QTextStream::* QTSMFC)(QChar)

Search for all occurrences

Definition at line 271 of file qtextstream.h.

## Function Documentation

QTextStream& operator>> | ( | QTextStream & | s,
|  | QTextStreamFunction | f
| ) |  | `[inline]`

Definition at line 287 of file qtextstream.h.

    { return (*f)(s); }

QTextStream& operator<< | ( | QTextStream & | s,
|  | QTextStreamFunction | f
| ) |  | `[inline]`

Definition at line 290 of file qtextstream.h.

    { return (*f)(s); }

QTextStream& operator<< | ( | QTextStream & | s,
|  | QTextStreamManipulator | m
| ) |  | `[inline]`

Definition at line 293 of file qtextstream.h.

    { m.exec(s); return s; }

Q_CORE_EXPORT QTextStream& bin | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& oct | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& dec | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& hex | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& showbase | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& forcesign | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& forcepoint | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& noshowbase | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& noforcesign | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& noforcepoint | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& uppercasebase | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& uppercasedigits | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& lowercasebase | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& lowercasedigits | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& fixed | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& scientific | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& left | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& right | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& center | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& endl | ( | QTextStream & | s | ) |

Search for all occurrences

Examples:
  PtexExtractor/ptex/PtexCache.cpp, PtexExtractor/ptex/PtexReader.cpp, PtexExtractor/ptex/PtexWriter.cpp, PtexImporter/ptex/PtexCache.cpp, PtexImporter/ptex/PtexReader.cpp, and PtexImporter/ptex/PtexWriter.cpp.

Q_CORE_EXPORT QTextStream& flush | ( | QTextStream & | s | ) |

Search for all occurrences

Examples:
  PtexExtractor/ptex/zlib/zlib.h, and PtexImporter/ptex/zlib/zlib.h.

Q_CORE_EXPORT QTextStream& reset | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& bom | ( | QTextStream & | s | ) |

Search for all occurrences

Q_CORE_EXPORT QTextStream& ws | ( | QTextStream & | s | ) |

Search for all occurrences

QTextStreamManipulator qSetFieldWidth | ( | int | width | ) | `[inline]`

Search for all occurrences

Definition at line 328 of file qtextstream.h.

    {
        QTSMFI func = &QTextStream::setFieldWidth;
        return QTextStreamManipulator(func,width);
    }

QTextStreamManipulator qSetPadChar | ( | QChar | ch | ) | `[inline]`

Search for all occurrences

Definition at line 334 of file qtextstream.h.

    {
        QTSMFC func = &QTextStream::setPadChar;
        return QTextStreamManipulator(func, ch);
    }

QTextStreamManipulator qSetRealNumberPrecision | ( | int | precision | ) | `[inline]`

Search for all occurrences

Definition at line 340 of file qtextstream.h.

    {
        QTSMFI func = &QTextStream::setRealNumberPrecision;
        return QTextStreamManipulator(func, precision);
    }